.footer-panel {
  display: flex;
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 40px;
  align-items: center;
  padding: 0 10px;
  background: #fff;
  border-top: 1px solid #c4c4c4;
}

.arm-home-button {
  min-width: 30px;
  cursor: pointer;
  color: #666;
}

.arm-home-button:hover {
  color: #2196f3;
}

.footer-document {
  height: 30px;
  max-width: 200px;
  width: 200px;
  background: #fff;
  border: 1px solid #ccc;
  border-radius: 3px;
  padding: 5px 10px;
  margin-right: 5px;
  user-select: none;
  cursor: pointer;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 12px;
}

.footer-document:hover {
  opacity: 0.8;
}

.footer-document.arm-active-panel {
  background: #e5e5e5 !important;
}

.arm-window-document {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: calc(100% - 40px);
  background: #fff;
  display: none;
  z-index: 1;
}

[arm-active-window="true"] {
  z-index: 100 !important;
}

.arm-header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 40px;
  padding: 5px 20px;
  z-index: 1;
}

.button_switch_left_panel {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 40px;
  cursor: pointer;
  background: #FAFAFA;
  border-top: 1px solid #D9D9D9;
  transition: 0.3s;
}

.arm-body {
  position: absolute;
  left: 0;
  top: 40px;
  width: 100%;
  height: calc(100% - 40px);
  background: #fff;
  overflow: hidden;
}

.arm-body.hide_left_panel .arm-left-panel {
  background: #FAFAFA;
  width: 50px;
}

.arm-body.hide_left_panel .arm-content {
  left: 50px;
  width: calc(100% - 50px);
}

.arm-body.hide_left_panel .arm-switch-buttons,
.arm-body.hide_left_panel .arm-left-panel_info,
.arm-body.hide_left_panel .arm-left-panel_comments {
  width: 300px;
  transform: translate(-300px, 0);
  opacity: 0;
}

.arm-left-panel {
  position: absolute;
  left: 0;
  top: 0;
  width: 300px;
  height: 100%;
  background: #fff;
  border-right: 1px solid rgb(217, 217, 217);
  transition: .3s;
}

.arm-content {
  position: absolute;
  left: 300px;
  top: 0;
  width: calc(100% - 300px);
  height: 100%;
  transition: .3s;
}

.arm-content .file-view-panel {
  display: none;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.arm-content .file-view-panel.active {
  display: block;
}

.arm-form-panel {
  width: 100%;
  height: calc(100% - 50px);
  background: #fff;
  overflow: auto;
}

.arm-form-panel > .asf-container {
  min-width: 100%;
  width: fit-content !important;
}

.arm-form-panel._lock {
  overflow: hidden;
}

.arm-header-buttons {
  position: absolute;
  right: 10px;
  top: 5px;
  color: #fff;
}

.arm-min-button,
.arm-close-button {
  color: #000;
  cursor: pointer;
}

.arm-close-button:hover {
  color: red;
}

.arm-min-button:hover {
  color: #2196f3;
}

.arm-form-panel-actions {
  display: flex;
  height: 50px;
  background: rgb(250, 250, 250);
  border-bottom: 1px solid rgb(217, 217, 217);
}

.arm-form-panel-buttons {
  display: flex;
  padding: 5px 15px;
  flex-direction: column;
  width: 100%;
  align-items: center;
}

.arm-work-name {
  padding: 10px 10px;
  font-size: 14px;
  border-bottom: 1px solid #c4c4c4;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.arm-work-name .work_name {
  color: #222;
  font-size: 16px;
  word-wrap: break-word;
}

.arm-work-name .info {
  color: #666;
  font-size: 12px;
}

.arm-panel-buttons {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 50px;
  padding: 0 20px;
}

.action-icon-button {
  color: #999;
  cursor: pointer;
  transition: 0.3s;
  font-size: 1.8em;
}

.action-icon-button:hover {
  color: #333;
}

.save-button-mobile {
  width: 25px;
  height: 25px;
  border: none;
  padding: 0;
  display: flex;
}

.save-button-mobile svg {
  stroke: #acbad8;
}

.menu__icon {
  display: none;
}

.window-action-button {
  font-style: normal;
  font-weight: normal;
  font-size: .875rem;
  color: #333;
  border-radius: 3px;
  background-color: #fff;
  border: 1px solid #e5e5e5;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
  transition: 0.3s;
}

.window-action-button:hover {
  border-color: #c4c4c4;
}

.window-action-button:active,
.window-action-button:focus {
  background-color: #fff;
}

.window-action-button.window-action-button-green {
  background-color: #1e87f0;
  color: #fff;
  border-color: transparent;
}

.window-action-button.window-action-button-green:hover {
  background-color: #51a8fd !important;
}

.arm-comments-container {
  overflow: hidden;
  display: flex;
  flex-direction: column;
  height: inherit;
}

.arm-resolutions-container {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: inherit;
  padding: 5px 5px 20px 5px;
  gap: 10px;
  overflow-y: auto;
  overflow-x: hidden;
}

.arm-resolution-container {
  display: flex;
  flex-direction: column;
  position: relative;
  border: 1px solid var(--gray);
  padding: 15px;
  gap: 20px;
  background-color: #f8f8f8;
  z-index: 1;
}

@media screen and (max-width: 767px) {

  .footer-panel,
  .arm-min-button,
  .arm-left-panel,
  .arm-panel-buttons {
    display: none;
  }

  .arm-window-document {
    height: 100%;
  }

  .arm-content {
    left: 0;
    width: 100%;
    margin: 0;
    padding: 0;
  }

  .arm-form-panel-actions {
    min-height: 50px;
    margin: 0;
  }

  .menu__icon {
    display: block;
    position: absolute;
    z-index: 5;
    width: 30px;
    height: 20px;
    cursor: pointer;
    right: 30px;
    margin-top: 13px;
    transition: right 0.3s ease 0s;
  }

  .menu__icon span,
  .menu__icon::before,
  .menu__icon::after {
    position: absolute;
    left: 0;
    height: 10%;
    width: 100%;
    transition: all 0.3s ease 0s;
    background-color: #4b5256;
  }

  .menu__icon::before,
  .menu__icon::after {
    content: "";
  }

  .menu__icon::before {
    top: 0;
  }

  .menu__icon::after {
    bottom: 0;
  }

  .menu__icon span {
    top: 50%;
    transform: scale(1) translate(0px, -50%);
  }

  .menu__icon._active {
    right: 70%;
  }

  .menu__icon._active span {
    transform: scale(0) translate(0px, -50%);
  }

  .menu__icon._active::before {
    top: 50%;
    transform: rotate(-45deg) translate(0px, -50%);
  }

  .menu__icon._active::after {
    bottom: 50%;
    transform: rotate(45deg) translate(0px, 50%);
  }

  .arm-menu-mobile {
    position: absolute;
    display: flex;
    flex-direction: column;
    right: -100%;
    top: 40px;
    width: 80%;
    height: calc(100% - 40px);
    padding-top: 40px;
    background-color: #fff;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
    transition: right 0.3s ease 0s;
  }

  .arm-menu-mobile._active {
    right: 0;
  }

  .arm-mobile-one-panel {
    display: flex;
    justify-content: space-around;
    border-top: 1px solid #c4c4c4;
    border-bottom: 1px solid #c4c4c4;
    padding: 10px 0;
    margin: 9px 0;
  }

  .arm-mobile-two-panel {
    overflow: auto;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .arm-mobile-two-panel button {
    max-width: 250px !important;
    min-height: 38px;
  }
}

.file-view-panel {
  display: none;
}

.file-view-panel.active {
  display: block;
  width: 100%;
  height: 100%;
  overflow: hidden;
}


/* switch panel */
.arm-left-panel_info {
  height: calc(100% - 90px);
}

.arm-left-panel_comments,
.arm-left-panel_resolutions {
  height: calc(100% - 90px);
}

.arm-switch-buttons {
  width: 100%;
  height: 50px;
  background: rgb(250, 250, 250);
  border-bottom: 1px solid rgb(217, 217, 217);
  margin: 0;
  padding: 0px 10px;
  display: flex;
  gap: 10px;
}

.button-switch {
  border-radius: 10px;
  padding: 0px 9px;
  transition: 0.3s;
}

.button-switch.pressed {
  background: #d5d5d5;
}
